/**
* DevExtreme (ui/text_box.d.ts)
* Version: 18.1.10 (build 19068)
* Build date: Sat Mar 09 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxTextBox(): JQuery;
    dxTextBox(options: "instance"): DevExpress.ui.dxTextBox;
    dxTextBox(options: string): any;
    dxTextBox(options: string, ...params: any[]): any;
    dxTextBox(options: DevExpress.ui.dxTextBoxOptions): JQuery;
}
}
export default DevExpress.ui.dxTextBox;
export type IOptions = DevExpress.ui.dxTextBoxOptions;